<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <h1>Rumah Makan kumparan.com</h1>
    <div id="menu"></div>
    <script>
        async function fetchMenu() {
            const query = `
                query {
                    Menus{
                        food{
                            id
                            name
                            price
                            spicyLevel
                        }
                        drink{
                            id
                            name
                            price
                            drinkSize
                        }
                    }
                }
            `
            const menuRequest = await fetch('http://192.168.6.196:4000/graphql', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    Accept: 'application/json'
                },
                body: JSON.stringify({ query })
            })

            const { data } = await menuRequest.json()

            console.log({data})
            
            let menuTemplate = ``

            menuTemplate += `<h2>Drink</h2>`
            menuTemplate += renderMenu(data.Menus.drink, 'size')
            menuTemplate += `<h2>Food</h2>`
            menuTemplate += renderMenu(data.Menus.food, 'spicy level')
            
            document.getElementById('menu').innerHTML = menuTemplate
        }

        window.onload = () => {
            fetchMenu()
        }

        function renderMenu(menu, type) {
            let menuTemplate = ``
            for(let index = 0; index < menu.length; index++) {
                menuTemplate += `
                    <div>
                        <p style="margin-bottom: 0">${index + 1}. ${menu[index].name}</p>
                        <p style="margin-bottom: 0">Harga: Rp ${menu[index].price}</p>
                        <p>${type}: ${type === 'size' ? menu[index].drinkSize : menu[index].spicyLevel}</p>
                    </div>
                `
            }
            return menuTemplate
        }
    </script>
</body>
</html>